Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.util.instrum
Class MfStatus

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          com.sun.mfwk.util.instrum.MfStatus

All Implemented Interfaces:
  MfStatusMBean, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

Direct Known Subclasses:
  MfMetric

public class MfStatus
extends javax.management.NotificationBroadcasterSupport
implements MfStatusMBean

MfStatusMBean contains the status of a component product

Field Summary

Fields inherited from interface com.sun.mfwk.util.instrum.MfStatusMBean
`AVAIL_CONGESTED, AVAIL_DEGRADED, AVAIL_NORMAL, OPS_FAILED, OPS_RUNNING, OPS_STARTING, OPS_STOPPED, OPS_STOPPING`

Constructor Summary
`MfStatus()`

Method Summary
`int` | `getAvailabilityState()` Get the availability state.
`long` | `getAvailStateLastChange()` Get the availability state last change time.
`long` | `getDegradedTime()` Get the time the component product has entered in a degraded or congested state.
`int` | `getOperationalState()` Get the operational state.
`long` | `getOpsStateLastChange()` Get the operational state last change time.
`long` | `getRunningTime()` Get the time the component product has entered in a running state.
`void` | `setAvailabilityState(int state)` Set the availability state.
`void` | `setAvailStateLastChange(long time)` Set the availability state last change time.
`void` | `setDegradedTime(long time)` Set the time the component product has entered in a degraded or congested state.
`void` | `setOperationalState(int state)` Set the operational state.
`void` | `setOpsStateLastChange(long time)` Set the operational state last change time.
`void` | `setRunningTime(long time)` Set the time the component product has entered in a running state.

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MfStatus

    public MfStatus()

Method Detail

### getAvailabilityState

    public int getAvailabilityState()

  Get the availability state.

  Specified by:
    `getAvailabilityState` in interface `MfStatusMBean`

### getAvailStateLastChange

    public long getAvailStateLastChange()

  Get the availability state last change time. The returned value is the number of milliseconds since January 1, 1970, 00:00:00.

  Specified by:
    `getAvailStateLastChange` in interface `MfStatusMBean`

### getDegradedTime

    public long getDegradedTime()

  Get the time the component product has entered in a degraded or congested state. The returned value is the number of milliseconds since January 1, 1970, 00:00:00.

  Specified by:
    `getDegradedTime` in interface `MfStatusMBean`

### getOperationalState

    public int getOperationalState()

  Get the operational state.

  Specified by:
    `getOperationalState` in interface `MfStatusMBean`

### getOpsStateLastChange

    public long getOpsStateLastChange()

  Get the operational state last change time. The returned value is the number of milliseconds since January 1, 1970, 00:00:00.

  Specified by:
    `getOpsStateLastChange` in interface `MfStatusMBean`

### getRunningTime

    public long getRunningTime()

  Get the time the component product has entered in a running state. The returned value is the number of milliseconds since January 1, 1970, 00:00:00.

  Specified by:
    `getRunningTime` in interface `MfStatusMBean`

### setAvailabilityState

    public void setAvailabilityState(int state)

  Set the availability state.

### setAvailStateLastChange

    public void setAvailStateLastChange(long time)

  Set the availability state last change time. The value is the number of milliseconds since January 1, 1970, 00:00:00.

### setDegradedTime

    public void setDegradedTime(long time)

  Set the time the component product has entered in a degraded or congested state. The value is the number of milliseconds since January 1, 1970, 00:00:00.

### setOperationalState

    public void setOperationalState(int state)

  Set the operational state.

### setOpsStateLastChange

    public void setOpsStateLastChange(long time)

  Set the operational state last change time. The value is the number of milliseconds since January 1, 1970, 00:00:00.

### setRunningTime

    public void setRunningTime(long time)

  Set the time the component product has entered in a running state. The value is the number of milliseconds since January 1, 1970, 00:00:00.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD